export default {
  search: {
    activityDates: {
      label: '活动日期',
      comp: 'el-date-picker',
      prop: {
        type: 'daterange',
        'range-separator': '-',
        'start-placeholder': '开始日期',
        'end-placeholder': '结束日期'
      }
    },
    activityName: {
      label: '活动名称',
      comp: 'el-input',
      placeholder: '请填写活动名称'
    },
    status: {
      label: '活动状态',
      placeholder: '请选择活动状态',
      comp: 'dyn-select',
      prop: {
        options: [
          { label: '未发布', value: 0 },
          { label: '已发布', value: 1 },
          { label: '已过期', value: 2 }
        ]
      }
    }
  },

  table: {
    activityDates: {
      label: '活动日期',
      width: 200,
      render(row) {
        return `${row.startDate} - ${row.endDate}`
      }
    },
    activityName: '活动名称',
    status: {
      label: '活动状态',
      wapper: {
        comp: 'el-tag',
        prop: {
          type: (row) => {
            switch (row.status) {
              case 2:
                return 'info'
              case 1:
                return 'success'
              default:
                return 'warning'
            }
          },
          'disable-transitions': true
        }
      },
      render(row) {
        switch (row.status) {
          case 2:
            return '已过期'
          case 1:
            return '已发布'
          default:
            return '未发布'
        }
      }
    },
    opts: {
      label: '操作',
      actions: [
        {
          type: 'edit',
          button: 'primary',
          label: '编辑'
        },
        {
          type: 'delete',
          button: 'danger',
          label: '删除',
          confirm: '确认删除当前记录?'
        }
      ]
    }
  }
}
